Subject: Re: FvwmTaskBar Patch

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 4 Oct 2002 17:34:46 +0000

On 29 Sep 2002 11:28:10 -0400, Ben Mathews wrote:
> 
> When using the StartButtonRightMargin option the behavior was not 
> consistant with what is stated in the man page.  Instead of shifting the 
> buttons (StartButtonRightMargin) pixels over, it shifted them (number of 
> mini launch buttons)*(StartButtonRightMargin) pixels over.  This patch 
> fixes this.
> 
> Also removes several redundant StartButtonUpdate calls, and gets rid of 
> some code that I had previously commented out but had not removed.

Ok, applied, together with the typo fix of Suzanne.

Please only use C-like comments /* */ for portability.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 9 Oct 2002 10:09:16 +0200

On Sat, Sep 28, 2002 at 03:27:00PM +0000, Mikhael Goikhman wrote:
> Run playing xmms and FvwmDebug, you see a lot of unneeded NAME messages.
> 
> I think it is safe to add conditions to XA_WM_NAME and XA_WM_ICON_NAME
> handling, so that if the new name is the same as the old one, we return
> immediatelly without SET_NAME_CHANGED and BroadcastWindowIconNames. No?

Yes, I think it's safe.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]